Bug 16844 - 1 occurrence of GetMemberRelatives has not been removed
Summary: 1 occurrence of GetMemberRelatives has not been removed
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 15656
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-04 11:24 UTC by Jonathan Druart
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16844: (follow-up of 15656) Remove export of GetMemberRelatives from C4::Members (804 bytes, patch)
2016-07-04 11:27 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16844: (follow-up of 15656) Remove export of GetMemberRelatives from C4::Members (945 bytes, patch)
2016-07-04 13:55 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 16844: (follow-up of 15656) Remove export of GetMemberRelatives from C4::Members (1009 bytes, patch)
2016-07-11 21:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-07-04 11:24:49 UTC
Bug 15656 removed the C4::Members::GetMemberRelatives subroutine but the module still exports it.
Comment 1 Jonathan Druart 2016-07-04 11:27:09 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-07-04 13:55:59 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-07-11 21:34:07 UTC
Created attachment 53287 [details] [review]
[PASSED QA] Bug 16844: (follow-up of 15656) Remove export of GetMemberRelatives from C4::Members

Bug 15656 removed the C4::Members::GetMemberRelatives subroutine but the
module still exports it.

Test plan:
  git grep GetMemberRelatives
should not return any results.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Kyle M Hall 2016-07-15 15:03:14 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 5 Frédéric Demians 2016-08-01 13:40:00 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 6 Julian Maurice 2016-08-17 10:48:10 UTC
Not needed in 3.22.x